body {
    font-family: Arial, sans-serif;
    margin: 20px;
    padding: 20px;
    background-color: #f4f4f4;
    border-radius: 8px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
    display: flex;
}

button {
    margin-top: 10px;
    padding: 10px;
    border: none;
    border-radius: 5px;
    background-color: #28a745;
    color: white;
    cursor: pointer;
}

button:hover {
    background-color: #218838;
}

button:disabled {
    background-color: gray;
    cursor: not-allowed;
}

.reader-container {
    width: 300px;
    height: 50vh;
    overflow-y: auto;
}

.reader-item {
    display: flex;
    justify-content: space-between;
    padding: 10px;
    margin: 5px 0;
    cursor: pointer;
}

.reader-item:hover {
    background-color: lightgray;
}

.reader-item.selected {
    background-color: lightblue;
}

.reader-name {
    flex: 1;
    text-align: left;
}

.card-state {
    text-align: right;
}

.status {
    margin-top: 20px;
    font-weight: bold;
}

.options {
    display: flex;
    gap: 20px;
    margin-bottom: 10px;
}

.card {
    background: white;
    border-radius: 8px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.1);
    padding: 20px;
    margin-bottom: 20px;
}

.apduResponse {
    width: 100%;
    max-width: 600px;
    height: 100px;
}

#readerList {
    flex: 1;
    margin-right: 20px;
}

#controlPanelView {
    flex: 3;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}